<div class="card my-5">
  <div class="card-body">
    <form (ngSubmit)="onSubmit()" #userForm="ngForm">
      <div class="form-group">
        <label for="firstName">First Name</label>
        <input type="text" [(ngModel)]="user.firstName" 
          class="form-control" 
          id="firstName" 
          name="firstName" 
          placeholder="Enter First name"
          required #name="ngModel">
      </div>
      <div [hidden]="!name.pristine" class="alert alert-danger">First name is required</div>
      <div class="form-group">
        <label for="lastName">Last Name</label>
        <input type="text" [(ngModel)]="user.lastName" 
          class="form-control" 
          id="lastName" 
          name="lastName" 
          placeholder="Enter last name"
          required #email="ngModel">
        <div [hidden]="!email.pristine" class="alert alert-danger">Last name is required</div>
      </div>
      <button type="submit" [disabled]="!userForm.form.valid" 
        class="btn btn-info">Submit</button>
    </form>
  </div>
</div>
